// JScript 文件
function findObj(theObj, theDoc){ 
var p, i, foundObj;
    //if(!theDoc) theDoc = document; 
     if( (p = theObj.indexOf("?")) > 0 && parent.frames.length)  
     {    theDoc = parent.frames[theObj.substring(p+1)].document;    
          theObj = theObj.substring(0,p);  }  
     if(!(foundObj = theDoc[theObj]) && theDoc.all) 
              foundObj = theDoc.all[theObj];  
              for (i=0; !foundObj && i < theDoc.forms.length; i++)    
               foundObj = theDoc.forms[i][theObj];  
               for(i=0; !foundObj && theDoc.layers && i < theDoc.layers.length; i++)     
               foundObj = findObj(theObj,theDoc.layers[i].document);  
               if(!foundObj && document.getElementById) foundObj = document.getElementById(theObj);   
     return foundObj;}
//添加一个参与人填写行
function AddSignRow(){ //读取最后一行的行号，存放在txtTRLastIndex文本框中
 var txtTRLastIndex = findObj("txtTRLastIndex",document);
 var rowID = parseInt(txtTRLastIndex.value);
 
 var signFrame = findObj("SignFrame",document);
 //添加行
 var newTR = signFrame.insertRow(signFrame.rows.length);
 newTR.id = "SignItem" + rowID;
 
 
 var newNameTD=newTR.insertCell(0);

 newNameTD.innerHTML = "<input name='treename' id='treename" + rowID + "' type='text' Style='width: 97%;height: 17px; ' />";
 
 

 //var newNameTD=newTR.insertCell(1);

 //newNameTD.innerHTML = "<input name='txt_fc' id='txt_fc" + rowID + "' type='text' Style='width: 97%; height: 14px;' />";
 

 var newEmailTD=newTR.insertCell(2);
 
 //newEmailTD.innerHTML = "<input name='txt_fs' id='txt_fs" + rowID + "' type='text' Style='width: 96%; height: 12px;'  onkeydown='if(event.keyCode==13) event.keyCode=9' onkeypress='if ((event.keyCode<48 || event.keyCode>57)) event.returnValue=false'/>";

 
  //添加列:型号
// var newEmailTD=newTR.insertCell(3);
 //添加列内容
 //newEmailTD.innerHTML = "<input name='mySaveWay_database' id='mySaveWay_database" + rowID + "' type='radio'   />数据库   <input name='mySaveWay_ftp' id='mySaveWay_ftp" + rowID + "' type='radio'   />FTP<input name='mySaveWay_database' id='mySaveWay_folder" + rowID + "' type='radio'   />文件夹    ";
 
 

 //将行号推进下一行
 txtTRLastIndex.value = (rowID + 1).toString() ;
 document.getElementById("treename"+rowID).focus();
}
//删除指定行
function DeleteSignRow(rowid){
 var signFrame = findObj("SignFrame",document);
 var signItem = findObj(rowid,document);
 
 //获取将要删除的行的Index
 var rowIndex = signItem.rowIndex;
 
 //删除指定Index的行
 signFrame.deleteRow(rowIndex);
 
 //重新排列序号，如果没有序号，这一步省略
// for(i=rowIndex;i<signFrame.rows.length;i++){
//  signFrame.rows[i].cells[0].innerHTML = i.toString();
// }

jszje()
}//清空列表
function ClearAllSign(){
 
  var signFrame = findObj("SignFrame",document);
  var rowscount = signFrame.rows.length;
 
  //循环删除行,从最后一行往前删除
  for(i=rowscount - 1;i > 0; i--){
   signFrame.deleteRow(i);
  }
 
  //重置最后行号为1
  var txtTRLastIndex = findObj("txtTRLastIndex",document);
  txtTRLastIndex.value = "1";
 
  //预添加一行
  AddSignRow();
 
}

function zfds(op)
{
    var d=/^(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*)|(-[0-9]+\.[0-9]*[1-9][0-9]*)|(-[0-9]*[1-9][0-9]*\.[0-9]+)|(-[0-9]*[1-9][0-9]*)|(-[0-9]*[1-9][0-9]*))$/;
    if(!d.test(op.value))
    {
        op.value='';
    }
    jsdj(op);
}
function dfehjkl(sdfefh)
{
    var d=/^(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*)|([0-9]))$/;
    if(!d.test(sdfefh.value))
    {
        sdfefh.value='';
    }
}
function jsdj(xsdj)
{
    var xsdjid=xsdj.id.substring(5);
    
    if(document.getElementById('txtdj'+xsdjid).value!=''&&document.getElementById('txtsl'+xsdjid).value!='')
    {
        document.getElementById('txtje'+xsdjid).value=parseInt(document.getElementById('txtsl'+xsdjid).value)*parseFloat(document.getElementById('txtdj'+xsdjid).value);
    }
    else
    {
        document.getElementById('txtje'+xsdjid).value='';
    }
    jszje()
}
